package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 来答题对象 questions
 * 
 * @author ruoyi
 * @date 2024-09-11
 */
public class Questions extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID，自动递增 */
    private Long id;

    /** 难度，例如简单、中等、困难 */
    @Excel(name = "难度，例如简单、中等、困难")
    private String difficulty;

    /** 问题文本内容 */
    @Excel(name = "问题文本内容")
    private String content;

    /** 题型，限定为单选或多选 */
    @Excel(name = "题型，限定为单选或多选")
    private String questionType;

    /** 题目的解释说明 */
    @Excel(name = "题目的解释说明")
    private String explanation;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDifficulty(String difficulty) 
    {
        this.difficulty = difficulty;
    }

    public String getDifficulty() 
    {
        return difficulty;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setQuestionType(String questionType) 
    {
        this.questionType = questionType;
    }

    public String getQuestionType() 
    {
        return questionType;
    }
    public void setExplanation(String explanation) 
    {
        this.explanation = explanation;
    }

    public String getExplanation() 
    {
        return explanation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("difficulty", getDifficulty())
            .append("content", getContent())
            .append("questionType", getQuestionType())
            .append("explanation", getExplanation())
            .toString();
    }
}
