package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Questions;

/**
 * 来答题Service接口
 * 
 * @author ruoyi
 * @date 2024-09-11
 */
public interface IQuestionsService 
{
    /**
     * 查询来答题
     * 
     * @param id 来答题主键
     * @return 来答题
     */
    public Questions selectQuestionsById(Long id);

    /**
     * 查询来答题列表
     * 
     * @param questions 来答题
     * @return 来答题集合
     */
    public List<Questions> selectQuestionsList(Questions questions);

    /**
     * 新增来答题
     * 
     * @param questions 来答题
     * @return 结果
     */
    public int insertQuestions(Questions questions);

    /**
     * 修改来答题
     * 
     * @param questions 来答题
     * @return 结果
     */
    public int updateQuestions(Questions questions);

    /**
     * 批量删除来答题
     * 
     * @param ids 需要删除的来答题主键集合
     * @return 结果
     */
    public int deleteQuestionsByIds(Long[] ids);

    /**
     * 删除来答题信息
     * 
     * @param id 来答题主键
     * @return 结果
     */
    public int deleteQuestionsById(Long id);
}
