package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.QuestionsMapper;
import com.ruoyi.system.domain.Questions;
import com.ruoyi.system.service.IQuestionsService;

/**
 * 来答题Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-11
 */
@Service
public class QuestionsServiceImpl implements IQuestionsService 
{
    @Autowired
    private QuestionsMapper questionsMapper;

    /**
     * 查询来答题
     * 
     * @param id 来答题主键
     * @return 来答题
     */
    @Override
    public Questions selectQuestionsById(Long id)
    {
        return questionsMapper.selectQuestionsById(id);
    }

    /**
     * 查询来答题列表
     * 
     * @param questions 来答题
     * @return 来答题
     */
    @Override
    public List<Questions> selectQuestionsList(Questions questions)
    {
        return questionsMapper.selectQuestionsList(questions);
    }

    /**
     * 新增来答题
     * 
     * @param questions 来答题
     * @return 结果
     */
    @Override
    public int insertQuestions(Questions questions)
    {
        return questionsMapper.insertQuestions(questions);
    }

    /**
     * 修改来答题
     * 
     * @param questions 来答题
     * @return 结果
     */
    @Override
    public int updateQuestions(Questions questions)
    {
        return questionsMapper.updateQuestions(questions);
    }

    /**
     * 批量删除来答题
     * 
     * @param ids 需要删除的来答题主键
     * @return 结果
     */
    @Override
    public int deleteQuestionsByIds(Long[] ids)
    {
        return questionsMapper.deleteQuestionsByIds(ids);
    }

    /**
     * 删除来答题信息
     * 
     * @param id 来答题主键
     * @return 结果
     */
    @Override
    public int deleteQuestionsById(Long id)
    {
        return questionsMapper.deleteQuestionsById(id);
    }
}
